package com.proyek.akhir.kodel.ui.user.profil

import android.content.Intent
import android.graphics.Color
import android.os.Bundle
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import android.widget.Toast
import androidx.fragment.app.Fragment
import androidx.lifecycle.Observer
import androidx.lifecycle.ViewModelProvider
import com.bumptech.glide.Glide
import com.proyek.akhir.kodel.R
import com.proyek.akhir.kodel.ui.user.profil.changeProfil.EditProfilActivity
import kotlinx.android.synthetic.main.fragment_profil.*
import kotlinx.android.synthetic.main.fragment_profil.view.*
import kotlinx.android.synthetic.main.fragment_profil.view.imgPengguna

class ProfilFragment : Fragment() {


    private lateinit var profilViewModel: ProfilViewModel


    override fun onCreateView(
        inflater: LayoutInflater,
        container: ViewGroup?,
        savedInstanceState: Bundle?
    ): View? {
        val root = inflater.inflate(R.layout.fragment_profil, container, false)
        root.viewProfil.visibility = View.INVISIBLE
        root.progressbarProfile.visibility = View.VISIBLE

        root.btnEditProfil.setOnClickListener {

            context?.startActivity(Intent(this.context, EditProfilActivity::class.java))
        }

        callAnggota()

        return root
    }

    private fun callAnggota() {
        profilViewModel = ViewModelProvider(this).get(ProfilViewModel::class.java)
        profilViewModel.setDataAnggota().observe(viewLifecycleOwner, Observer { anggota ->
            if (anggota != null) {
                progressbarProfile.visibility = View.GONE
                viewProfil.visibility = View.VISIBLE
                Glide.with(requireContext())
                    .load(anggota[0].fotoDiriAnggota)
                    .into(imgPengguna)
                if (anggota[0].fotoKkAnggota != null) {
                    lnrKKStatus.setBackgroundColor(Color.parseColor(R.color.colorGreen.toString()))
                    txtStatusKk.text = "Ganti KK"
                    lnrKTPStatus.setBackgroundColor(Color.parseColor(R.color.colorGreen.toString()))
                    txtStatusKtp.text = "Ganti KTP"
                }
                namaPengguna.text = anggota[0].namaAnggota
                emailPengguna.text = anggota[0].emailAnggota
                nomorPengguna.text = anggota[0].noTelpAnggota.toString()
                alamatPengguna.text = anggota[0].alamatAnggota
                penghasilanAnggota.text =
                    getString(R.string.rp_x, anggota[0].penghasilanAnggota.toString())
            } else {
                Toast.makeText(context, "Jaringan Lemah!", Toast.LENGTH_SHORT).show()
            }
        })
    }
}
